Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# DirectEntry Class Reference

Inheritance diagram for DirectEntry:

List of all members.

## Public Member Functions
def | __init__
def | autoCapitalizeFunc
def | commandFunc
def | destroy
def | enterText
def | failedCommandFunc
def | focusInCommandFunc
def | focusOutCommandFunc
def | get
def | getBounds
def | getFont
def | set
def | setBackgroundFocus
def | setClickSound
def | setCursorKeysActive
def | setCursorPosition
def | setFocus
def | setObscureMode
def | setRolloverSound
def | setup
## Public Attributes
| autoCapitalizeAllowPrefixes
| autoCapitalizeForcePrefixes
| bounds
| ll
| onscreenText
| unicodeText
| ur
## Static Public Attributes
tuple | AllowCapNamePrefixes
tuple | directWtext = ConfigVariableBool('direct-wtext', 1)
tuple | ForceCapNamePrefixes = ("D'", "DeLa", "Dell'", "L'", "M'", "Mc", "O'", )

## Detailed Description

    DirectEntry(parent) - Create a DirectGuiWidget which responds
    to keyboard buttons

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | parent = `None`,
|  |  | kw
| ) |  |

Reimplemented from DirectFrame.

## Member Function Documentation

def autoCapitalizeFunc | ( |  | self | ) |

def commandFunc | ( |  | self,
|  |  | event
| ) |  |

def destroy | ( |  | self | ) |

Reimplemented from DirectFrame.

def enterText | ( |  | self,
|  |  | text
| ) |  |

    sets the entry's text, and moves the cursor to the end

def failedCommandFunc | ( |  | self,
|  |  | event
| ) |  |

def focusInCommandFunc | ( |  | self | ) |

def focusOutCommandFunc | ( |  | self | ) |

def get | ( |  | self,
|  |  | plain = `False`
| ) |  |

    Returns the text currently showing in the typable region.
    If plain is True, the returned text will not include any
    formatting characters like nested color-change codes.

def getBounds | ( |  | self,
|  |  | state = `0`
| ) |  |

Reimplemented from DirectGuiWidget.

def getFont | ( |  | self | ) |

def set | ( |  | self,
|  |  | text
| ) |  |

    Changes the text currently showing in the typable region;
    does not change the current cursor position.  Also see
    enterText().

def setBackgroundFocus | ( |  | self | ) |

def setClickSound | ( |  | self | ) |

def setCursorKeysActive | ( |  | self | ) |

def setCursorPosition | ( |  | self,
|  |  | pos
| ) |  |

def setFocus | ( |  | self | ) |

def setObscureMode | ( |  | self | ) |

def setRolloverSound | ( |  | self | ) |

def setup | ( |  | self | ) |

## Member Data Documentation

tuple AllowCapNamePrefixes`[static]`

Initial value:

    ("Al", "Ap", "Ben", "De", "Del", "Della", "Delle", "Der", "Di", "Du",
                                "El", "Fitz", "La", "Las", "Le", "Les", "Lo", "Los",
                                "Mac", "St", "Te", "Ten", "Van", "Von", )

autoCapitalizeAllowPrefixes

autoCapitalizeForcePrefixes

bounds

Reimplemented from DirectGuiWidget.

tuple directWtext = ConfigVariableBool('direct-wtext', 1)`[static]`

tuple ForceCapNamePrefixes = ("D'", "DeLa", "Dell'", "L'", "M'", "Mc", "O'", )`[static]`

ll

Reimplemented from DirectGuiWidget.

onscreenText

unicodeText

ur

Reimplemented from DirectGuiWidget.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties